<?php

namespace App\Filament\Resources\Axes;

use App\Filament\Resources\Axes\Pages\CreateAxe;
use App\Filament\Resources\Axes\Pages\EditAxe;
use App\Filament\Resources\Axes\Pages\ListAxes;
use App\Filament\Resources\Axes\Schemas\AxeForm;
use App\Filament\Resources\Axes\Tables\AxesTable;
use App\Models\Axe;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class AxeResource extends Resource
{
    protected static ?string $model = Axe::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedRectangleStack;

    public static function form(Schema $schema): Schema
    {
        return AxeForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return AxesTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListAxes::route('/'),
            'create' => CreateAxe::route('/create'),
            'edit' => EditAxe::route('/{record}/edit'),
        ];
    }
}
